Skip to main content
GET
/
v1
/
market-calendar
/
{market_calendar_id}
Get market calendar by ID
curl --request GET \
  --url https://perp-api.phoenix.trade/v1/market-calendar/{market_calendar_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://perp-api.phoenix.trade/v1/market-calendar/{market_calendar_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://perp-api.phoenix.trade/v1/market-calendar/{market_calendar_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "calendarUri": "<string>",
  "contentSha256": "<string>",
  "description": "<string>",
  "kind": "<string>",
  "loadedAt": "2023-11-07T05:31:56Z",
  "marketCalendarId": "<string>",
  "rawJson": "<string>",
  "s3Path": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "calendar": {
    "dateOverrides": {},
    "weeklySchedule": {}
  }
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer access token issued by /v1/auth/* login endpoints.

Path Parameters

market_calendar_id
string
required

Market calendar id

Response

Market calendar

calendarUri
string
required
contentSha256
string
required
description
string
required
kind
string
required
loadedAt
string<date-time>
required
marketCalendarId
string
required
rawJson
string
required
s3Path
string
required
updatedAt
string<date-time>
required
calendar
null | object